-- Test tax_details
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(9);

set search_path to numerus, public;

select has_composite('numerus', 'tax_details', 'Composite type numerus.tax_details should exist');
select columns_are('numerus', 'tax_details', array['business_name', 'vatin', 'address', 'city', 'province', 'postal_code', 'country_code']);
select col_type_is('numerus'::name, 'tax_details'::name, 'business_name'::name, 'text');
select col_type_is('numerus'::name, 'tax_details'::name, 'vatin'::name, 'text');
select col_type_is('numerus'::name, 'tax_details'::name, 'address'::name, 'text');
select col_type_is('numerus'::name, 'tax_details'::name, 'city'::name, 'text');
select col_type_is('numerus'::name, 'tax_details'::name, 'province'::name, 'text');
select col_type_is('numerus'::name, 'tax_details'::name, 'postal_code'::name, 'text');
select col_type_is('numerus'::name, 'tax_details'::name, 'country_code'::name, 'country_code');


select *
from finish();

rollback;
